
------------
-- Purpose: Hooks MenuTitlescreenState:get_start_pressed_controller_index() to trigger the game to proceed straight to the main
--          menu with keyboard input instead of waiting on the splash screen
------------

local get_start_pressed_controller_index_actual = MenuTitlescreenState.get_start_pressed_controller_index
function MenuTitlescreenState:get_start_pressed_controller_index(...)

	local num_connected = 0
	local keyboard_index = nil

	for index, controller in ipairs(self._controller_list) do
		if controller._was_connected then
			num_connected = num_connected + 1
		end
		if controller._default_controller_id == "keyboard" then
			keyboard_index = index
		end
	end

	if num_connected == 1 and keyboard_index ~= nil then
		return keyboard_index
	else
		return get_start_pressed_controller_index_actual(self, ...)
	end
end
